%define	ver		v3.1
%define	rel		%mkrel 2
%define kit2ver	%{ver}

Summary:		Kanji input server for X11
Summary(ja):		X用日本語入力サーバ
Name:			kinput2
Version:		%{ver}
Release:		%{rel}
Group:			System/Internationalization

Source0:		ftp://ftp.sra.co.jp/pub/x11/kinput2/%{name}-%{kit2ver}.tar.bz2
Source1:		Kinput2.conf.canna.bz2
Source2:		Kinput2.conf.wnn4
Source3:		Kinput2.conf.canna-wnn4.bz2
Source4:		Kinput2.conf.wnn6.bz2
Source5:		Kinput2.conf.canna-wnn6.bz2

Patch0:			Kinput2.ad.patch.bz2
Patch1:			kinput2.ppc.patch.bz2
Patch2:			%{name}-v3.libdir.patch.bz2
Patch3:			%{name}-v3.libdir2.patch.bz2
Patch4:			kinput2-v3.1-openoffice.patch.bz2

License:		Distributable
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		FreeWnn-devel
BuildRequires:		gccmakedep
BuildRequires:		imake
BuildRequires:		rman
BuildRequires:		libxaw-devel
#Packager:		Atsushi Yamagata <yamagata@plathome.co.jp>
Requires:		locales-ja

%description 
Kinput2 is an input server for X11 applications that want Japanese text input.

%description -l	ja
Kinput2は日本語入力を必要とするXアプリケーション用の入力サーバーです。

%package	canna
Summary:	Kinput2 for Canna
Summary(ja):	Canna対応kinput2
Group:		System/Internationalization
Obsoletes:	kinput2
Requires:	locales-ja

%description	canna
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for Canna.

%description	canna -l ja
Kinput2は日本語入力を必要とするXアプリケーション用の入力サーバーです。
※このパッケージはCannaに対応しています。

%package	wnn4
Summary:	Kinput2 for Wnn4
Summary(ja):	Wnn4対応kinput2
Group:		System/Internationalization
Obsoletes:	kinput2 wnn
Requires:	locales-ja

%description	wnn4
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for Wnn4.

%description	wnn4 -l ja
Kinput2は日本語入力を必要とするXアプリケーション用の入力サーバーです。
※このパッケージはWnn4に対応しています。

%package	canna-wnn4
Summary:	Kinput2 for both Canna and Wnn4
Summary(ja):	Canna、Wnn4両対応kinput2
Group:		System/Internationalization
Obsoletes:	kinput2, canna-wnn
Requires:	locales-ja

%description	canna-wnn4
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for both Canna and Wnn4.

%description	canna-wnn4 -l ja
Kinput2は日本語入力を必要とするXアプリケーション用の入力サーバーです。
※このパッケージはCanna、Wnn4に対応しています。

%package	wnn6
Summary:	Kinput2 for Wnn6
Summary(ja):	Wnn6対応kinput2
Group:		System/Internationalization
Obsoletes:	kinput2
Requires:	locales-ja

%description	wnn6
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for Wnn6.

%description	wnn6 -l ja
Kinput2は日本語入力を必要とするXアプリケーション用の入力サーバーです。
※このパッケージはWnn6に対応しています。

%package	canna-wnn6
Summary:	Kinput2 for both Canna and Wnn6
Summary(ja):	Canna、Wnn6両対応kinput2
Group:		System/Internationalization
Obsoletes:	kinput2
Requires:	locales-ja

%description	canna-wnn6
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for both Canna and Wnn6.

%description	canna-wnn6 -l ja
Kinput2は日本語入力を必要とするXアプリケーション用の入力サーバーです。
※このパッケージはCanna、Wnn6に対応しています。

%prep

#%setup -q
%setup -q -n %{name}-%{kit2ver}
cp ${RPM_SOURCE_DIR}/Kinput2.conf.* .
%patch0 -p1
%ifarch ppc
%patch1 -p1
%endif
%patch2 -p1
%patch3 -p1
%patch4 -p1

head -21 cmd/kinput2.c >Copyright

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.3
fi
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man1

%build
rm -f Kinput2.conf

# comment out for now
if false ; then

ln -sf Kinput2.conf.canna Kinput2.conf
xmkmf -a
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
make
mv cmd/kinput2 kinput2.canna
make clean

#
fi

ln -sf Kinput2.conf.wnn4 Kinput2.conf
xmkmf -a
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
make || :
( cd cmd ; make USRLIBDIR="/usr/lib -L/usr/X11R6/lib" )
mv cmd/kinput2 kinput2.wnn4
make clean

# comment out for now
if false ; then

ln -sf Kinput2.conf.canna-wnn4 Kinput2.conf
xmkmf -a
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
make
mv cmd/kinput2 kinput2.canna-wnn4
make clean

ln -sf Kinput2.conf.wnn6 Kinput2.conf
xmkmf -a
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
make
mv cmd/kinput2 kinput2.wnn6
make clean

ln -sf Kinput2.conf.canna-wnn6 Kinput2.conf
xmkmf -a
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
make
mv cmd/kinput2 kinput2.canna-wnn6

#
fi

%install
#install -c -s -m 0755 kinput2.canna      ${RPM_BUILD_ROOT}/usr/X11R6/bin
install -c -s -m 0755 kinput2.wnn4       ${RPM_BUILD_ROOT}/usr/X11R6/bin
#install -c -s -m 0755 kinput2.canna-wnn4 ${RPM_BUILD_ROOT}/usr/X11R6/bin
#install -c -s -m 0755 kinput2.wnn6       ${RPM_BUILD_ROOT}/usr/X11R6/bin
#install -c -s -m 0755 kinput2.canna-wnn6 ${RPM_BUILD_ROOT}/usr/X11R6/bin

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/app-defaults
install -c -m 0444 cmd/Kinput2.ad ${RPM_BUILD_ROOT}/etc/X11/app-defaults/Kinput2

mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/ccdef.* ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.*  ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/ccdef

make install.man DESTDIR=${RPM_BUILD_ROOT}

# 
cp -f client/README README.client

%clean
rm -rf ${RPM_BUILD_ROOT}

%post canna
ln -sf kinput2.canna /usr/X11R6/bin/kinput2

%preun canna
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

%post wnn4
ln -sf kinput2.wnn4 /usr/X11R6/bin/kinput2

%preun wnn4
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

%post canna-wnn4
ln -sf kinput2.canna-wnn4 /usr/X11R6/bin/kinput2

%preun canna-wnn4
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

%post wnn6
ln -sf kinput2.wnn6 /usr/X11R6/bin/kinput2

%preun wnn6
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

%post canna-wnn6
ln -sf kinput2.canna-wnn6 /usr/X11R6/bin/kinput2

%preun canna-wnn6
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

#%files canna
#%defattr(-, root, root)
#%doc Copyright NEWS README doc
#%doc -P client/README
#%config /etc/X11/app-defaults/Kinput2
#/usr/X11R6/bin/kinput2.canna
#/usr/X11R6/man/man1/kinput*

%files wnn4
%defattr(-, root, root)
%doc Copyright NEWS README doc
%doc README.client
/etc/X11/app-defaults/Kinput2
/usr/X11R6/lib/X11/ccdef
/usr/X11R6/bin/kinput2.wnn4
/usr/X11R6/man/man1/kinput*
/usr/X11R6/lib/X11/doc/html/kinput2.1.html

#%files canna-wnn4
#%defattr(-, root, root)
#%doc Copyright NEWS README doc
#%doc -P client/README
#%config /etc/X11/app-defaults/Kinput2
#/usr/X11R6/lib/X11/ccdef
#/usr/X11R6/bin/kinput2.canna-wnn4
#/usr/X11R6/man/man1/kinput*

#%files wnn6
#%defattr(-, root, root)
#%doc Copyright NEWS README doc
#%doc -P client/README
#%config /etc/X11/app-defaults/Kinput2
#/usr/X11R6/lib/X11/ccdef
#/usr/X11R6/bin/kinput2.wnn6
#/usr/X11R6/man/man1/kinput*

#%files canna-wnn6
#%defattr(-, root, root)
#%doc Copyright NEWS README doc
#%doc -P client/README
#%config /etc/X11/app-defaults/Kinput2
#/usr/X11R6/lib/X11/ccdef
#/usr/X11R6/bin/kinput2.canna-wnn6
#/usr/X11R6/man/man1/kinput*

%changelog
* Sat Jul 01 2006 Stefan van der Eijk <stefan@mandriva.org> v3.1-3
- BuildRequires
- %%mkrel

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> v3.1-2mdk
- fix buildrequires

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> v3.1-1mdk
- updated package

* Tue Nov 20 2001 Pablo Saratxaga <pablo@mandrakesoft.com> v3.1-0.3mdk
- corrected language dependencies

* Mon Nov  5 2001 Stefan van der Eijk <stefan@eijk.nu> v3.1-0.2mdk
- BuildRequires: xpm-devel
- Copyright --> License

* Fri Aug 10 2001 Pablo Saratxaga <pablo@mandrakesoft.com> v3.1-0.1mdk
- updated to v3.1

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> v3-10mdk
- automatically added BuildRequires

* Mon Jul 10 2000 dam's <damien@mandrakesoft.com> v3-9mdk
- mandrake release.

* Sun May 14 2000 David BAUDENS <baudens@mandrakesoft.com> v3-8mdk
- Fix build for i486

* Fri Mar 24 2000 dam's <damien@mandrakesoft.com> v3-7mdk
- release

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> v3-6mdk
- added a BuildRequires on Wnn-devel.

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com>
- add Require: locales-ja

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake (strip & bzip2'ed man pages)
- only build kinput-wnn4 (as for now we only provide Wnn 4 as 
  kana-to-kanji converter)

* Mon Jun 28 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd. release
- defined LIBDIR as /var/lib/wnn in lib/wnnlib.c
  thanks Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>

* Mon May 31 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version v3

* Wed May 26 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version v3-beta4

* Mon May 10 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version v3-beta3

* Tue Apr 20 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version v3-beta2

* Fri Mar 19 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- version up to v2-fix5-alpha8

* Mon Mar  8 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- version up to v2-fix5-alpha7

* Mon Feb  8 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- version up to v2-fix5-alpha6

* Wed Jan 27 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- prepared Kinput2.conf file as a source

* Thu Jan 21 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- version up to v2-fix5-alpha5
- wnn -> wnn4
- added wnn6 and canna-wnn6
- Extensions/Japanese -> X11/Utilities

* Wed Jul 29 1998 Susumu Nagashige <nagasige@ops.dti.ne.jp>
- 4th Release.
- removed binary dependency.
- removed common package.

* Wed May 13 1998 Susumu Nagashige <nagasige@netlaputa.ne.jp>
- 3rd Release.
- added FilterEvent Patch

* Mon Feb 23 1998 Susumu Nagashige <nagasige@netlaputa.ne.jp>
- 2nd Release.
- fix to RedHat-5.0

* Sat Dec 13 1997 Susumu Nagashige <nagasige@netlaputa.ne.jp>
- 1st Release
